Loading...
Searching...
No Matches
Dune::Amg::Aggregate< G, S > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

A class for temporarily storing the vertices of an aggregate in. More...

`#include <dune/istl/paamg/aggregates.hh>`

Inheritance diagram for Dune::Amg::Aggregate< G, S >:

## Public Types

typedef G | MatrixGraph
typedef MatrixGraph::VertexDescriptor | Vertex
| The vertex descriptor type.
typedef PoolAllocator< Vertex, 100 > | Allocator
| The allocator we use for our lists and the set.
typedef S | VertexSet
| The type of a single linked list of vertex descriptors.
using | size_type = typename VertexSet::size_type
| Type of size used by allocator of sllist.
typedef VertexSet::const_iterator | const_iterator
| Const iterator over a vertex list.
typedef std::size_t * | SphereMap
| Type of the mapping of aggregate members onto distance spheres.

## Public Member Functions

| Aggregate (MatrixGraph &graph, AggregatesMap< Vertex > &aggregates, VertexSet &connectivity, std::vector< Vertex > &front_)
| Constructor.
void | invalidate ()
void | reconstruct (const Vertex &vertex)
| Reconstruct the aggregat from an seed node.
void | seed (const Vertex &vertex)
| Initialize the aggregate with one vertex.
void | add (const Vertex &vertex)
| Add a vertex to the aggregate.
void | add (std::vector< Vertex > &vertex)
void | clear ()
| Clear the aggregate.
size_type | size ()
| Get the size of the aggregate.
size_type | connectSize ()
| Get the number of connections to other aggregates.
int | id ()
| Get the id identifying the aggregate.
const_iterator | begin () const
| get an iterator over the vertices of the aggregate.
const_iterator | end () const
| get an iterator over the vertices of the aggregate.

## Detailed Description

template<class G, class S>
class Dune::Amg::Aggregate< G, S >

A class for temporarily storing the vertices of an aggregate in.

The documentation for this class was generated from the following file:

- aggregates.hh